<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [git-documentdb](./git-documentdb.md) &gt; [InvalidIdLengthError](./git-documentdb.invalididlengtherror.md) &gt; [(constructor)](./git-documentdb.invalididlengtherror._constructor_.md)

## InvalidIdLengthError.(constructor)

Constructs a new instance of the `InvalidIdLengthError` class

<b>Signature:</b>

```typescript
constructor(id: string, minLength: number, maxLength: number);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  id | string |  |
|  minLength | number |  |
|  maxLength | number |  |

